AFPUnitConverter (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp

## Class AFPUnitConverter

- java.lang.Object
- - org.apache.fop.afp.AFPUnitConverter

-     public class AFPUnitConverter
      extends java.lang.Object

  AFP Unit converter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPUnitConverter(AFPPaintingState paintingState)` Unit converter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `mpt2units(float mpt)` Converts millipoint to unit
    `int[]` | `mpts2units(float[] srcPts)` Converts millipoints to units
    `int[]` | `mpts2units(float[] srcPts, float[] dstPts)` Converts millipoints to units
    `float` | `pt2units(float pt)` Converts point to unit
    `int[]` | `pts2units(float[] srcPts)` Converts points to units
    `int[]` | `pts2units(float[] srcPts, float[] dstPts)` Converts points to units

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPUnitConverter

          public AFPUnitConverter(AFPPaintingState paintingState)

      Unit converter
      Parameters:
        `paintingState` - the AFP painting state

  - ### Method Detail

    - #### mpts2units

          public int[] mpts2units(float[] srcPts,
                                  float[] dstPts)

      Converts millipoints to units
      Parameters:
        `srcPts` - source points
        `dstPts` - destination points
      Returns:
        transformed points

    - #### pts2units

          public int[] pts2units(float[] srcPts,
                                 float[] dstPts)

      Converts points to units
      Parameters:
        `srcPts` - source points
        `dstPts` - destination points
      Returns:
        transformed points

    - #### mpts2units

          public int[] mpts2units(float[] srcPts)

      Converts millipoints to units
      Parameters:
        `srcPts` - source points
      Returns:
        transformed points

    - #### pts2units

          public int[] pts2units(float[] srcPts)

      Converts points to units
      Parameters:
        `srcPts` - source points
      Returns:
        transformed points

    - #### pt2units

          public float pt2units(float pt)

      Converts point to unit
      Parameters:
        `pt` - point
      Returns:
        transformed point

    - #### mpt2units

          public float mpt2units(float mpt)

      Converts millipoint to unit
      Parameters:
        `mpt` - millipoint
      Returns:
        transformed point

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.